summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-shells/bash/Manifest4
-rw-r--r--app-shells/bash/bash-5.0_p2-r2.ebuild267
-rw-r--r--app-shells/bash/bash-5.0_p7.ebuild (renamed from app-shells/bash/bash-5.0_p3.ebuild)2
-rw-r--r--app-shells/bash/files/bash-5.0-globpat-backslashes.patch206
-rw-r--r--licenses/keynote12
-rw-r--r--licenses/qpopper141
-rw-r--r--licenses/yahoo-patent-license-1.2167
-rw-r--r--profiles/license_groups4
-rw-r--r--sys-power/iasl/Manifest6
-rw-r--r--sys-power/iasl/iasl-20171215.ebuild127
-rw-r--r--sys-power/iasl/iasl-20180810.ebuild3
-rw-r--r--sys-power/iasl/iasl-20190215.ebuild (renamed from sys-power/iasl/iasl-20161222.ebuild)15
12 files changed, 19 insertions, 935 deletions
diff --git a/app-shells/bash/Manifest b/app-shells/bash/Manifest
index bee3da75417e..a2777b27c20b 100644
--- a/app-shells/bash/Manifest
+++ b/app-shells/bash/Manifest
@@ -311,3 +311,7 @@ DIST bash44-023 1557 BLAKE2B 95a21ade7e4be68d66f3862f26b574c5897055822471c8d2801
DIST bash50-001 4133 BLAKE2B 3eedb63f943ba89f1147c907fcacb5e5af891a6728edb4ced972e19d586573db6fface4947490ffb9f42a2ed87c745a352e102fb727637eec8422d7323da9470 SHA512 e3bf036287d3be1f3e91755678c04c9a8e1b4a98e34e181871dfaeb13987dda18c31a44db3f3829d91a185ba4414b9c0229f2a15f6e8a951cbc6c1054252bfdd
DIST bash50-002 4380 BLAKE2B 022340f0da0d5b7c571c2015beb87268452faf1484bedb75e2868b16904eed93749d5c0ed62b9da43badb3ee2efe3bdb4f55e212a40c3cfdc073d44623475b85 SHA512 59b1cfa1be1029ada53c63fe651d51451ead5523c50c115e0eada07e34e641c693ed728366986acb431f96fdc61818efd3f8cd168ce416001edc62602e5f28dd
DIST bash50-003 6434 BLAKE2B ccf05f2f0da6dd0a1d25d22200326d405019acbce27a7fbcb3f16ff09027d5dec5cb9d5dc557638f72089a3444b25d5106abdb0916cac0797562b4d8b68a0ab2 SHA512 520b5cc0b7aeea6cd8b7471b553d8979996f3627a3e5c8889023562dadc82475be243aca2ec608217b78400a1dceb134b877d3ded926e581445234f1b69409e6
+DIST bash50-004 1664 BLAKE2B 88b44a5268c8ec970f0c18997cfe5211f6a2a8c07f813d48fd931e62e1b3b95fd76e5b66b7ebf1ffcd1d42e5c133675f954de0ca7dfc8c36aa69f11253480374 SHA512 cbf51bb242edf36289bd483b47c9451132c12f341f494212c0e5d969cd06a3c1c4d121295f3bacb1d7d5e56f789258ba9f54c4cfb5760ed3c70ec1f49f25c719
+DIST bash50-005 3732 BLAKE2B 3ded5d200102ad7cc547c6f7e9bf9bba468a10791fc096988c49f46ea8d6708efb0d4c383a9e2e2fccef8a49b217e6a22d9435c807233a1d0a971265bbe31761 SHA512 4d3e6f337a76b9ff1887c4c6e4e4352885779504f3c975b8d6fa587962f01e8adbd843b5341c1fc1d11152cf465f2982eebd9dc6e1384f319157d29740d510da
+DIST bash50-006 1275 BLAKE2B ae3738874ada015202a6ff21a50ea9370c6147b4c74a23112e755396fc1db743afa42abdd4df635f0c0b9f3536796064b41d0667ef8ade1543b5c70b688ae9d1 SHA512 71df829a3a3927a363ad961de8af8db898ea8b0ccf604c5f1326fe4646d0d50b3c7038ee473c225fc10d26c2dc1f711d66b74d003bb0445d36a8a70c49e056e0
+DIST bash50-007 1640 BLAKE2B 1c25af8c098322ad16353dfb32cdba2613659f5042792c725dbde7b2bc276ff09a4af44bf223fd6114dcc9beee98ccbd8081d3010fa1cfeb33bc93fc9c81e4f7 SHA512 467d377836c53d188cda39de550ce1e00b58895a6646c4da3535e74e599978558a92d8e7bf7c59c988159468fbce04f3a0dbf62cbded28472272f1b9811786e8
diff --git a/app-shells/bash/bash-5.0_p2-r2.ebuild b/app-shells/bash/bash-5.0_p2-r2.ebuild
deleted file mode 100644
index 7383e6344204..000000000000
--- a/app-shells/bash/bash-5.0_p2-r2.ebuild
+++ /dev/null
@@ -1,267 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit flag-o-matic toolchain-funcs multilib prefix
-
-# Official patchlevel
-# See ftp://ftp.cwru.edu/pub/bash/bash-5.0-patches/
-PLEVEL=${PV##*_p}
-MY_PV=${PV/_p*}
-MY_PV=${MY_PV/_/-}
-MY_P=${PN}-${MY_PV}
-is_release() {
- case ${PV} in
- *_alpha*|*_beta*|*_rc*) return 1 ;;
- *) return 0 ;;
- esac
-}
-[[ ${PV} != *_p* ]] && PLEVEL=0
-patches() {
- local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
- [[ ${plevel} -eq 0 ]] && return 1
- eval set -- {1..${plevel}}
- set -- $(printf "${pn}${pv/\.}-%03d " "$@")
- if [[ ${opt} == -s ]] ; then
- echo "${@/#/${DISTDIR}/}"
- else
- local u
- for u in ftp://ftp.cwru.edu/pub/bash mirror://gnu/${pn} ; do
- printf "${u}/${pn}-${pv}-patches/%s " "$@"
- done
- fi
-}
-
-# The version of readline this bash normally ships with.
-READLINE_VER="8.0"
-
-DESCRIPTION="The standard GNU Bourne again shell"
-HOMEPAGE="http://tiswww.case.edu/php/chet/bash/bashtop.html"
-if is_release ; then
- SRC_URI="mirror://gnu/bash/${MY_P}.tar.gz $(patches)"
-else
- SRC_URI="ftp://ftp.cwru.edu/pub/bash/${MY_P}.tar.gz"
-fi
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="afs bashlogger examples mem-scramble +net nls plugins +readline"
-
-DEPEND="
- >=sys-libs/ncurses-5.2-r2:0=
- readline? ( >=sys-libs/readline-${READLINE_VER}:0= )
- nls? ( virtual/libintl )
-"
-RDEPEND="
- ${DEPEND}
- !<sys-apps/portage-2.1.6.7_p1
-"
-# we only need yacc when the .y files get patched (bash42-005)
-#DEPEND+=" virtual/yacc"
-
-S="${WORKDIR}/${MY_P}"
-
-PATCHES=(
- # Patches from Chet sent to bashbug ml
- "${FILESDIR}"/${PN}-5.0-history-zero-length.patch
- "${FILESDIR}"/${PN}-5.0-history-append.patch
- "${FILESDIR}"/${PN}-5.0-optimize-connection-fork.patch
- "${FILESDIR}"/${PN}-5.0-syslog-history-extern.patch
- "${FILESDIR}"/${PN}-5.0-globpat-backslashes.patch
-)
-
-pkg_setup() {
- if is-flag -malign-double ; then #7332
- eerror "Detected bad CFLAGS '-malign-double'. Do not use this"
- eerror "as it breaks LFS (struct stat64) on x86."
- die "remove -malign-double from your CFLAGS mr ricer"
- fi
- if use bashlogger ; then
- ewarn "The logging patch should ONLY be used in restricted (i.e. honeypot) envs."
- ewarn "This will log ALL output you enter into the shell, you have been warned."
- fi
-}
-
-src_unpack() {
- unpack ${MY_P}.tar.gz
-}
-
-src_prepare() {
- # Include official patches
- [[ ${PLEVEL} -gt 0 ]] && eapply -p0 $(patches -s)
-
- # Clean out local libs so we know we use system ones w/releases.
- if is_release ; then
- rm -rf lib/{readline,termcap}/*
- touch lib/{readline,termcap}/Makefile.in # for config.status
- sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' Makefile.in || die
- fi
-
- # Prefixify hardcoded path names. No-op for non-prefix.
- hprefixify pathnames.h.in
-
- # Avoid regenerating docs after patches #407985
- sed -i -r '/^(HS|RL)USER/s:=.*:=:' doc/Makefile.in || die
- touch -r . doc/*
-
- eapply -p0 "${PATCHES[@]}"
- eapply_user
-}
-
-src_configure() {
- local myconf=(
- --disable-profiling
- --docdir='$(datarootdir)'/doc/${PF}
- --htmldir='$(docdir)/html'
- --with-curses
- $(use_enable mem-scramble)
- $(use_enable net net-redirections)
- $(use_enable readline)
- $(use_enable readline bang-history)
- $(use_enable readline history)
- $(use_with afs)
- $(use_with mem-scramble bash-malloc)
- )
-
- # For descriptions of these, see config-top.h
- # bashrc/#26952 bash_logout/#90488 ssh/#24762 mktemp/#574426
- append-cppflags \
- -DDEFAULT_PATH_VALUE=\'\"${EPREFIX}/usr/local/sbin:${EPREFIX}/usr/local/bin:${EPREFIX}/usr/sbin:${EPREFIX}/usr/bin:${EPREFIX}/sbin:${EPREFIX}/bin\"\' \
- -DSTANDARD_UTILS_PATH=\'\"${EPREFIX}/bin:${EPREFIX}/usr/bin:${EPREFIX}/sbin:${EPREFIX}/usr/sbin\"\' \
- -DSYS_BASHRC=\'\"${EPREFIX}/etc/bash/bashrc\"\' \
- -DSYS_BASH_LOGOUT=\'\"${EPREFIX}/etc/bash/bash_logout\"\' \
- -DNON_INTERACTIVE_LOGIN_SHELLS \
- -DSSH_SOURCE_BASHRC \
- $(use bashlogger && echo -DSYSLOG_HISTORY)
-
- # Don't even think about building this statically without
- # reading Bug 7714 first. If you still build it statically,
- # don't come crying to us with bugs ;).
- #use static && export LDFLAGS="${LDFLAGS} -static"
- use nls || myconf+=( --disable-nls )
-
- # Historically, we always used the builtin readline, but since
- # our handling of SONAME upgrades has gotten much more stable
- # in the PM (and the readline ebuild itself preserves the old
- # libs during upgrades), linking against the system copy should
- # be safe.
- # Exact cached version here doesn't really matter as long as it
- # is at least what's in the DEPEND up above.
- export ac_cv_rl_version=${READLINE_VER%%_*}
-
- # Force linking with system curses ... the bundled termcap lib
- # sucks bad compared to ncurses. For the most part, ncurses
- # is here because readline needs it. But bash itself calls
- # ncurses in one or two small places :(.
-
- if is_release ; then
- # Use system readline only with released versions.
- myconf+=( --with-installed-readline=. )
- fi
-
- if use plugins; then
- append-ldflags -Wl,-rpath,/usr/$(get_libdir)/bash
- else
- # Disable the plugins logic by hand since bash doesn't
- # provide a way of doing it.
- export ac_cv_func_dl{close,open,sym}=no \
- ac_cv_lib_dl_dlopen=no ac_cv_header_dlfcn_h=no
- sed -i \
- -e '/LOCAL_LDFLAGS=/s:-rdynamic::' \
- configure || die
- fi
- tc-export AR #444070
- econf "${myconf[@]}"
-}
-
-src_compile() {
- emake
-
- if use plugins ; then
- emake -C examples/loadables all others
- fi
-}
-
-src_install() {
- local d f
-
- default
-
- dodir /bin
- mv "${ED%/}"/usr/bin/bash "${ED%/}"/bin/ || die
- dosym bash /bin/rbash
-
- insinto /etc/bash
- doins "${FILESDIR}"/bash_logout
- doins "$(prefixify_ro "${FILESDIR}"/bashrc)"
- keepdir /etc/bash/bashrc.d
- insinto /etc/skel
- for f in bash{_logout,_profile,rc} ; do
- newins "${FILESDIR}"/dot-${f} .${f}
- done
-
- local sed_args=(
- -e "s:#${USERLAND}#@::"
- -e '/#@/d'
- )
- if ! use readline ; then
- sed_args+=( #432338
- -e '/^shopt -s histappend/s:^:#:'
- -e 's:use_color=true:use_color=false:'
- )
- fi
- sed -i \
- "${sed_args[@]}" \
- "${ED%/}"/etc/skel/.bashrc \
- "${ED%/}"/etc/bash/bashrc || die
-
- if use plugins ; then
- exeinto /usr/$(get_libdir)/bash
- doexe $(echo examples/loadables/*.o | sed 's:\.o::g')
- insinto /usr/include/bash-plugins
- doins *.h builtins/*.h include/*.h lib/{glob/glob.h,tilde/tilde.h}
- fi
-
- if use examples ; then
- for d in examples/{functions,misc,scripts,startup-files} ; do
- exeinto /usr/share/doc/${PF}/${d}
- insinto /usr/share/doc/${PF}/${d}
- for f in ${d}/* ; do
- if [[ ${f##*/} != PERMISSION ]] && [[ ${f##*/} != *README ]] ; then
- doexe ${f}
- else
- doins ${f}
- fi
- done
- done
- fi
-
- doman doc/*.1
- newdoc CWRU/changelog ChangeLog
- dosym bash.info /usr/share/info/bashref.info
-}
-
-pkg_preinst() {
- if [[ -e ${EROOT}/etc/bashrc ]] && [[ ! -d ${EROOT}/etc/bash ]] ; then
- mkdir -p "${EROOT}"/etc/bash
- mv -f "${EROOT}"/etc/bashrc "${EROOT}"/etc/bash/
- fi
-
- if [[ -L ${EROOT}/bin/sh ]] ; then
- # rewrite the symlink to ensure that its mtime changes. having /bin/sh
- # missing even temporarily causes a fatal error with paludis.
- local target=$(readlink "${EROOT}"/bin/sh)
- local tmp=$(emktemp "${EROOT}"/bin)
- ln -sf "${target}" "${tmp}"
- mv -f "${tmp}" "${EROOT}"/bin/sh
- fi
-}
-
-pkg_postinst() {
- # If /bin/sh does not exist, provide it
- if [[ ! -e ${EROOT}/bin/sh ]] ; then
- ln -sf bash "${EROOT}"/bin/sh
- fi
-}
diff --git a/app-shells/bash/bash-5.0_p3.ebuild b/app-shells/bash/bash-5.0_p7.ebuild
index 0e14a04dc16d..5b9a47a025eb 100644
--- a/app-shells/bash/bash-5.0_p3.ebuild
+++ b/app-shells/bash/bash-5.0_p7.ebuild
@@ -67,8 +67,8 @@ PATCHES=(
# Patches from Chet sent to bashbug ml
"${FILESDIR}"/${PN}-5.0-history-zero-length.patch
"${FILESDIR}"/${PN}-5.0-history-append.patch
- "${FILESDIR}"/${PN}-5.0-optimize-connection-fork.patch
"${FILESDIR}"/${PN}-5.0-syslog-history-extern.patch
+ "${FILESDIR}"/${PN}-5.0-assignment-preceding-builtin.patch
)
pkg_setup() {
diff --git a/app-shells/bash/files/bash-5.0-globpat-backslashes.patch b/app-shells/bash/files/bash-5.0-globpat-backslashes.patch
deleted file mode 100644
index 21acaf7e7ff7..000000000000
--- a/app-shells/bash/files/bash-5.0-globpat-backslashes.patch
+++ /dev/null
@@ -1,206 +0,0 @@
-*** ../bash-5.0-patched/lib/glob/glob_loop.c 2019-01-16 16:13:21.000000000 -0500
---- lib/glob/glob_loop.c 2019-02-01 09:45:11.000000000 -0500
-***************
-*** 27,34 ****
- register const GCHAR *p;
- register GCHAR c;
-! int bopen;
-
- p = pattern;
-! bopen = 0;
-
- while ((c = *p++) != L('\0'))
---- 27,34 ----
- register const GCHAR *p;
- register GCHAR c;
-! int bopen, bsquote;
-
- p = pattern;
-! bopen = bsquote = 0;
-
- while ((c = *p++) != L('\0'))
-***************
-*** 56,66 ****
- case L('\\'):
- /* Don't let the pattern end in a backslash (GMATCH returns no match
-! if the pattern ends in a backslash anyway), but otherwise return 1,
-! since the matching engine uses backslash as an escape character
-! and it can be removed. */
-! return (*p != L('\0'));
- }
-
-! return 0;
- }
-
---- 56,75 ----
- case L('\\'):
- /* Don't let the pattern end in a backslash (GMATCH returns no match
-! if the pattern ends in a backslash anyway), but otherwise note that
-! we have seen this, since the matching engine uses backslash as an
-! escape character and it can be removed. We return 2 later if we
-! have seen only backslash-escaped characters, so interested callers
-! know they can shortcut and just dequote the pathname. */
-! if (*p != L('\0'))
-! {
-! p++;
-! bsquote = 1;
-! continue;
-! }
-! else /* (*p == L('\0')) */
-! return 0;
- }
-
-! return bsquote ? 2 : 0;
- }
-
-*** ../bash-5.0-patched/lib/glob/glob.h 2013-10-28 14:46:12.000000000 -0400
---- lib/glob/glob.h 2019-03-07 11:06:47.000000000 -0500
-***************
-*** 31,34 ****
---- 31,35 ----
- #define GX_ADDCURDIR 0x200 /* internal -- add passed directory name */
- #define GX_GLOBSTAR 0x400 /* turn on special handling of ** */
-+ #define GX_RECURSE 0x800 /* internal -- glob_filename called recursively */
-
- extern int glob_pattern_p __P((const char *));
-*** ../bash-5.0-patched/lib/glob/glob.c 2018-09-20 10:53:23.000000000 -0400
---- lib/glob/glob.c 2019-03-07 14:23:43.000000000 -0500
-***************
-*** 1062,1066 ****
- unsigned int directory_len;
- int free_dirname; /* flag */
-! int dflags;
-
- result = (char **) malloc (sizeof (char *));
---- 1078,1082 ----
- unsigned int directory_len;
- int free_dirname; /* flag */
-! int dflags, hasglob;
-
- result = (char **) malloc (sizeof (char *));
-***************
-*** 1111,1117 ****
- }
-
- /* If directory_name contains globbing characters, then we
-! have to expand the previous levels. Just recurse. */
-! if (directory_len > 0 && glob_pattern_p (directory_name))
- {
- char **directories, *d, *p;
---- 1127,1136 ----
- }
-
-+ hasglob = 0;
- /* If directory_name contains globbing characters, then we
-! have to expand the previous levels. Just recurse.
-! If glob_pattern_p returns != [0,1] we have a pattern that has backslash
-! quotes but no unquoted glob pattern characters. We dequote it below. */
-! if (directory_len > 0 && (hasglob = glob_pattern_p (directory_name)) == 1)
- {
- char **directories, *d, *p;
-***************
-*** 1176,1180 ****
- d[directory_len - 1] = '\0';
-
-! directories = glob_filename (d, dflags);
-
- if (free_dirname)
---- 1195,1199 ----
- d[directory_len - 1] = '\0';
-
-! directories = glob_filename (d, dflags|GX_RECURSE);
-
- if (free_dirname)
-***************
-*** 1333,1336 ****
---- 1352,1369 ----
- return (NULL);
- }
-+ /* If we have a directory name with quoted characters, and we are
-+ being called recursively to glob the directory portion of a pathname,
-+ we need to dequote the directory name before returning it so the
-+ caller can read the directory */
-+ if (directory_len > 0 && hasglob == 2 && (flags & GX_RECURSE) != 0)
-+ {
-+ dequote_pathname (directory_name);
-+ directory_len = strlen (directory_name);
-+ }
-+
-+ /* We could check whether or not the dequoted directory_name is a
-+ directory and return it here, returning the original directory_name
-+ if not, but we don't do that yet. I'm not sure it matters. */
-+
- /* Handle GX_MARKDIRS here. */
- result[0] = (char *) malloc (directory_len + 1);
-*** ../bash-5.0-patched/pathexp.c 2018-04-29 17:44:48.000000000 -0400
---- pathexp.c 2019-01-31 20:19:41.000000000 -0500
-***************
-*** 66,74 ****
- register int c;
- char *send;
-! int open;
-
- DECLARE_MBSTATE;
-
-! open = 0;
- send = string + strlen (string);
-
---- 66,74 ----
- register int c;
- char *send;
-! int open, bsquote;
-
- DECLARE_MBSTATE;
-
-! open = bsquote = 0;
- send = string + strlen (string);
-
-***************
-*** 101,105 ****
- globbing. */
- case '\\':
-! return (*string != 0);
-
- case CTLESC:
---- 101,112 ----
- globbing. */
- case '\\':
-! if (*string != '\0' && *string != '/')
-! {
-! bsquote = 1;
-! string++;
-! continue;
-! }
-! else if (*string == 0)
-! return (0);
-
- case CTLESC:
-***************
-*** 118,122 ****
- #endif
- }
-! return (0);
- }
-
---- 125,130 ----
- #endif
- }
-!
-! return (bsquote ? 2 : 0);
- }
-
-*** ../bash-5.0-patched/bashline.c 2019-01-16 16:13:21.000000000 -0500
---- bashline.c 2019-02-22 09:29:08.000000000 -0500
-***************
-*** 3753,3757 ****
-
- case '\\':
-! if (*string == 0)
- return (0);
- }
---- 3766,3770 ----
-
- case '\\':
-! if (*string++ == 0)
- return (0);
- }
diff --git a/licenses/keynote b/licenses/keynote
deleted file mode 100644
index 640f1eb99192..000000000000
--- a/licenses/keynote
+++ /dev/null
@@ -1,12 +0,0 @@
-Copyright (C) 1998, 1999 by Angelos D. Keromytis.
-
-Permission to use, copy, and modify this software without fee
-is hereby granted, provided that this entire notice is included in
-all copies of any software which is or includes a copy or
-modification of this software.
-
-THIS SOFTWARE IS BEING PROVIDED "AS IS", WITHOUT ANY EXPRESS OR
-IMPLIED WARRANTY. IN PARTICULAR, THE AUTHORS MAKES NO
-REPRESENTATION OR WARRANTY OF ANY KIND CONCERNING THE
-MERCHANTABILITY OF THIS SOFTWARE OR ITS FITNESS FOR ANY PARTICULAR
-PURPOSE.
diff --git a/licenses/qpopper b/licenses/qpopper
deleted file mode 100644
index bb4cd9e2a945..000000000000
--- a/licenses/qpopper
+++ /dev/null
@@ -1,141 +0,0 @@
-Qpopper(tm) is licensed by QUALCOMM Incorporated under the following
- terms and conditions. ANY USE OF QPOPPER CONSTITUTES AGREEMENT TO
- THESE TERMS.
-
-1. Warranty Disclaimer. QPOPPER SOFTWARE IS PROVIDED TO THE USER "AS
- IS." QUALCOMM MAKES NO WARRANTIES, EITHER EXPRESS OR IMPLIED, WITH
- RESPECT TO THE QPOPPER SOFTWARE AND/OR ASSOCIATED MATERIALS
- PROVIDED TO THE USER, INCLUDING BUT NOT LIMITED TO ANY WARRANTY OF
- MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR AGAINST
- INFRINGEMENT. QUALCOMM does not warrant that the functions
- contained in the software will meet your requirements, or that the
- operation of the software will be uninterrupted or error-free, or
- that defects in the software will be corrected. Furthermore,
- QUALCOMM does not warrant or make any representations regarding
- the use or the results of the use of the software or any
- documentation provided therewith in terms of their correctness,
- accuracy, reliability, or otherwise. No oral or written
- information or advice given by QUALCOMM or a QUALCOMM
- representative shall create a warranty or in any way increase the
- scope of this warranty.
-
-2. Limitation of Liability. QUALCOMM AND ITS LICENSORS ARE NOT LIABLE
- FOR ANY CLAIMS OR DAMAGES WHATSOEVER ARISING IN CONNECTION WITH
- THE QPOPPER SOFTWARE, INCLUDING WITHOUT LIMITATION PROPERTY
- DAMAGE, PERSONAL INJURY, INTELLECTUAL PROPERTY INFRINGEMENT, LOSS
- OF PROFITS, OR INTERRUPTION OF BUSINESS, OR FOR ANY SPECIAL,
- CONSEQUENTIAL OR INCIDENTAL DAMAGES, HOWEVER CAUSED, WHETHER
- ARISING OUT OF BREACH OF WARRANTY, CONTRACT, TORT (INCLUDING
- NEGLIGENCE), STRICT LIABILITY, OR OTHERWISE.
-
-3. Using and Distributing Qpopper. If a party agrees to these terms
- and conditions, such party may copy and use Qpopper for any
- purpose, and distribute unmodified complete copies of Qpopper to
- any third party provided that such third party must agree to these
- terms and conditions prior to any use of Qpopper. Failure to
- include these license terms when distributing Qpopper shall be a
- material breach of this agreement, and the party committing such
- breach shall defend and indemnify QUALCOMM Incorporated against
- all claims, losses, liabilities, damages, costs and expenses,
- including attorney's fees, which QUALCOMM may incur in connection
- with such breach.
-
-4. Modifying Qpopper. Qpopper consists of (i) intellectual property
- owned by QUALCOMM Incorporated, and (ii) intellectual property
- owned by the Regents of the University of California. Any
- modifications to the U.C.-owned portions of Qpopper are subject to
- the provisions of Section 7 below. A party to this agreement may
- create derivative works of the QUALCOMM-owned portions of the
- Qpopper software, distribute such derivative works to third
- parties, and permit such third parties to copy and use such
- derivative works subject to the following restrictions:
-
- (a) The protocol greeting banner and the CAPA IMPLEMENTATION
- response tag must include clear notification that Qpopper has
- been modified (for example,
- "FooPopper-by-Foo-Networks-hacked-from-Qpopper-4.0").
-
- (b) Detailed notification of all modifications must be clearly and
- conspicuously included within the modified source files, and
- in a separate document. All of the source files and the
- document describing the changes must be distributed with the
- modified software.
-
- (c) When distributing the modified software the distributing party
- must clearly and conspicuously communicate to all recipients
- that the modified software is produced by the party that
- modified the software and is not a QUALCOMM product.
-
- (d) The term "Qpopper" shall not be used in connection with the
- modified software except in a purely factual manner when
- describing the history or development of the software.
-
- (e) The modified software must be licensed to end users using a
- license agreement which expressly states that portions of the
- modified software are based on code owned by QUALCOMM
- Incorporated, that such QUALCOMM code is only provided on the
- terms stated in this agreement, and that QUALCOMM bears no
- responsibility whatsoever for any modifications to the QUALCOMM
- code.
-
- (f) The modifying party shall defend and indemnify QUALCOMM
- Incorporated against all claims, losses, liabilities, damages,
- costs and expenses, including attorney's fees, which QUALCOMM
- may incur in connection with any intellectual property
- infringement or similar claim related to the modified
- software, if such claim is related to that party's
- modifications.
-
-5. Notices. QUALCOMM is a registered trademark and registered service
- mark of QUALCOMM Incorporated. Qpopper is a trademark of QUALCOMM
- Incorporated. QUALCOMM does not grant any party the right to use
- such marks on any modified version of the Qpopper software. All
- other trademarks and service marks are the property of their
- respective owners. The Qpopper software, excluding the portions
- owned by the Regents of the University of California, is Copyright
- 1993-2006 QUALCOMM Incorporated. All rights not expressly granted
- herein are reserved by QUALCOMM.
-
-6. General. This agreement is governed and interpreted in accordance
- with the laws of the State of California without giving effect to
- its conflict of laws provisions. Any claim arising out of or
- related to this agreement must be brought exclusively in the state
- or federal courts located in San Diego County, California. The
- United Nations Convention on Contracts for the International Sale
- of Goods is expressly disclaimed. If any provision of this
- agreement shall be invalid, the validity of the remaining
- provisions of this agreement shall not be affected. This
- agreement is the entire and exclusive agreement between QUALCOMM
- and any user of the Qpopper software with respect to the software
- and supersedes all prior agreements (whether written or oral) and
- other communications related to the software.
-
-7. IMPORTANT.
-
- This software program contains code, and/or derivatives or
- modifications of code originating from the software program
- "Popper." Popper is (c) Copyright 1989-1991 The Regents of the
- University of California, All Rights Reserved. Popper was
- created by Austin Shelton, Information Systems and Technology,
- University of California, Berkeley. Permission from the Regents of
- the University of California to use, copy, modify, and distribute
- the "Popper" software contained herein for any purpose, without
- fee, and without a written agreement is hereby granted, provided
- that the above copyright notice and this paragraph and the
- following two paragraphs appear in all copies. HOWEVER, ADDITIONAL
- PERMISSIONS MAY BE NECESSARY FROM OTHER PERSONS OR ENTITIES, TO
- USE DERIVATIVES OR MODIFICATIONS OF POPPER.
-
- IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY
- PARTY FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL
- DAMAGES, INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THE
- POPPER SOFTWARE, OR ITS DERIVATIVES OR MODIFICATIONS, AND ITS
- DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN
- ADVISED OF THE POSSIBLITY OF SUCH DAMAGE.
-
- THE UNIVERSITY OF CALIFORNIA, SPECIFICALLY DISCLAIMS ANY
- WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE
- POPPER SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE
- UNIVERSITY OF CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE
- MAINTENANCE, SUPPORT, UPDATES, ENCHANCEMENTS, OR MODIFICATIONS.
diff --git a/licenses/yahoo-patent-license-1.2 b/licenses/yahoo-patent-license-1.2
deleted file mode 100644
index 144257ac93e1..000000000000
--- a/licenses/yahoo-patent-license-1.2
+++ /dev/null
@@ -1,167 +0,0 @@
-Yahoo! DomainKeys Patent License Agreement v1.2
-
-Copyright (c) 2006, Yahoo! Inc.
-All rights reserved.
-
-This Yahoo! DomainKeys Patent License Agreement (this "Agreement") is
-between Yahoo! Inc. ("Yahoo!") and you ("Licensee"). By attempting to
-exercise any rights granted under this Agreement, Licensee agrees to be
-bound by all the terms and conditions set forth below, and subject to those
-terms and conditions, Licensee may use the intellectual property described
-below.
-
-1. LICENSE GRANT.
-
-1.1. Subject to the terms and conditions of this Agreement, Licensor hereby
-grants You a royalty-free, perpetual, worldwide, sublicensable,
-non-exclusive license under its rights to the Yahoo! Patent Claims to make,
-use, sell, offer for sale, and/or import Implementations.
-
-2. DEFINITIONS.
-
-2.1. "DomainKeys Developer(s)" means Yahoo, Inc. ("Yahoo!"), Licensor,
-and/or any other individual or entity who distributes Implementations under
-this Agreement.
-
-2.2. "Implementations" means the specific portions of a hardware or
-software implementation expressly required to be compliant with the
-Specifications for the sole purpose of a sender verification solution in
-connection with e-mail.
-
-2.3. "Licensor" means Yahoo! or any other individual or entity that elects
-to use this Agreement to license Yahoo! Patent Claims to any licensee.
-
-2.4. "Specifications" means the specification having submission ID
-"draft-delany-domainkeys-base-01.txt" dated Aug 2004 published through the
-IETF (Internet Engineering Task Force). The Specifications may be found at
-the following link:
-http://antispam.yahoo.com/domainkeys/draft-delany-domainkeys-base-01.txt
-
-2.5. "Yahoo! Patent Claims" shall mean those claims of all Yahoo! foreign
-and domestic patents and patent applications that base their priority on
-U.S. Provisional Patent Application Ser. Nos. 60/497,794, filed Aug. 26,
-2003, or 60/553,300, filed Mar. 15, 2004, or U.S. Patent Application Ser.
-Nos. 10/671,319, filed Sep. 24, 2003, or 10/805,181, filed Mar. 19, 2004.
-
-2.6. "You" or "Your" means an individual, company, or other legal entity
-exercising any rights under this Agreement. Any individual who accepts the
-terms and conditions of this Agreement on behalf of a company or other
-legal entity represents and warrants that the individual has the authority
-to enter into this Agreement on behalf of the company or other legal
-entity.
-
-3. TERMS.
-
-3.1. You agree not to assert against Yahoo!, any other DomainKeys Developer
-or any of their respective licensees under Section 3.4, a patent
-infringement claim based on the manufacture, use, sale, offer for sale
-and/or importation of any Implementations ("Implementation IP Claim").
-
-3.2. To indicate your assent to the terms and conditions of this Agreement
-and in order to obtain a license to make, use, sell, offer for sale, and/or
-import Implementations, You must include, attach or preserve the following
-prominently displayed statement in the source code and object code of any
-such Implementations: "This code incorporates intellectual property owned
-by Yahoo! and licensed pursuant to the Yahoo! DomainKeys Patent License
-Agreement.".
-
-3.3. You will not use the name of Yahoo! to endorse or promote any
-products, services, or Implementations without specific prior written
-permission of Yahoo!. "DomainKeys" is a trademark of Yahoo!. However, You
-may state Your Implementations are "DomainKeys compliant", "supports
-DomainKeys", or is "DomainKeys-enabled", without citation to Yahoo!. You
-must create Your own product or service names or trademarks for Your
-Implementations and You agree not to use the term "DomainKeys" in or as
-part of a name or trademark for Your Implementations.
-
-3.4. You may choose to distribute Implementations under this Agreement or a
-different agreement, provided that:
-
- (a) a copy of this Agreement or the different agreement is included with
- each Implementation along with the following prominently displayed
- statement: "By making, using, selling, offering for sale, importing,
- and/or sublicensing Implementations as permitted, you agree to the terms
- and conditions of the Yahoo! DomainKeys Patent License Agreement or
- other agreement contained herein."; and
-
- (b) if distributed under a different agreement, such different agreement
- contains terms and conditions that (i) provide no fewer rights,
- privileges and immunities to DomainKeys Developers than the terms and
- conditions of this Agreement, including, without limitation, Sections
- 1.1, 3.1, 3.4, 3.7, 4.1, 4.2, and 4.3.
-
-3.5. You acknowledge that implementations of the Specifications may be
-subject to U.S. export restriction and other applicable national and
-international laws. You agree to comply with all export, re-export, or
-import restrictions, laws, or regulations.
-
-3.6. Yahoo!, and only Yahoo!, may, from time to time and at its sole
-discretion, update or modify the terms of this Agreement. If Yahoo! makes
-any such modifications, You may continue under the terms and conditions of
-this Agreement or agree to the updated or modified terms and conditions.
-For the most recent version of this Agreement please contact Yahoo!.
-
-3.7. This Agreement and the rights hereunder will terminate:
-
- (a) automatically without notice from Yahoo!, if You at any time during
- the term of this Agreement assert any Implementation IP Claim against
- Yahoo!;
-
- (b) upon written notice from Yahoo!, if You at any time during the term
- of this Agreement assert any Implementation IP Claim against any
- DomainKeys Developer (other than Yahoo!) or any licensees of any
- DomainKeys Developer; or
-
- (c) where (a) or (b) do not apply, automatically without notice from
- Yahoo!, if You fail to comply with any term(s) of this Agreement and
- fail to cure such breach within 30 days of You becoming aware of such
- breach.
-
-3.8. This Agreement constitutes the entire agreement between the parties
-with respect to the subject matter hereof. This Agreement shall be governed
-by and construed under the laws of the United States and the State of
-California without giving effect to California conflict of law provisions
-or to construction provisions favoring either party. All actions arising
-out of or relating to this Agreement that involve Yahoo! as a party will be
-adjudicated exclusively by the Superior Court of the State of California
-for the County of Santa Clara or the United States District Court for the
-Northern District of California.
-
-3.9. In the event that any provision of this Agreement is deemed to be
-invalid, such invalidity shall not affect the remainder of this Agreement.
-
-4. LEGAL DISCLAIMERS.
-
-4.1. THE YAHOO! PATENT CLAIMS, THIS AGREEMENT, THE DOMAINKEYS TRADEMARK,
-AND THE SPECIFICATIONS ARE PROVIDED ON AN "AS IS" BASIS, WITHOUT
-REPRESENTATIONS, WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR
-IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY REPRESENTATIONS, WARRANTIES OR
-CONDITIONS OF TITLE, NON-INFRINGEMENT, MERCHANTABILITY, OR FITNESS FOR A
-PARTICULAR PURPOSE. You are solely responsible for determining the
-appropriateness of exercising any rights under this Agreement and using the
-Specifications and the DomainKeys trademark and assume all risks associated
-in connection therewith, including, but not limited to, the risks and costs
-of program errors, compliance with applicable laws, damage to or loss of
-data, programs or equipment, and unavailability or interruption of
-operations.
-
-4.2. You expressly acknowledge and agree that no assurances are provided by
-DomainKeys Developers with respect to the validity of the Yahoo! Patent
-Claims or that the Specifications, the DomainKeys trademark or any
-implementations related to the Specifications or the DomainKeys trademark
-do not infringe or misappropriate the patent, trademark or other
-intellectual property rights of any other entity. DomainKeys Developers
-disclaim any liability to You for claims brought by any other person or
-entity based on infringement or misappropriation of intellectual property
-rights or otherwise. As a condition to exercising the rights and licenses
-granted hereunder, You hereby assume sole responsibility to secure any
-other intellectual property rights needed.
-
-4.3. DOMAINKEYS DEVELOPERS SHALL NOT HAVE ANY LIABILITY FOR ANY DIRECT,
-INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
-(INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND ON ANY
-THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
-(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE EXERCISE
-OF ANY RIGHTS UNDER THIS AGREEMENT, EVEN IF ADVISED OF THE POSSIBILITY OF
-SUCH DAMAGES, AND EVEN IF THE REMEDIES PROVIDED FOR IN THIS AGREEMENT FAIL
-OF THEIR ESSENTIAL PURPOSE.
diff --git a/profiles/license_groups b/profiles/license_groups
index 52fbcec2d6a8..c4f9e0739013 100644
--- a/profiles/license_groups
+++ b/profiles/license_groups
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# Please report bugs or other requests at bugs.gentoo.org and assign to
@@ -30,7 +30,7 @@ OSI-APPROVED AFL-3.0 AGPL-3 AGPL-3+ Apache-1.1 Apache-2.0 APL-1.0 APSL-2 Artisti
# Licenses in this list should NOT appear directly or indirectly in
# @FSF-APPROVED or @OSI-APPROVED.
# Note: Licenses for fonts should be included in @MISC-FREE-DOCS.
-MISC-FREE ACE Allegro alternate AMPAS bea.ri.jsr173 BEER-WARE boehm-gc BSD-1 BSD-with-attribution buddy bufexplorer.vim BZIP2 canfep CAOSL CDDL-Schily CeCILL-C CMake CPL-0.5 CRACKLIB Crypt-IDEA DES docbook dom4j eGenixPublic-1.1 ElementTree Emacs ErlPL-1.1 FastCGI feh File-MMagic Flashpix FLEX flexmock FLTK freetts FVWM gd gsm HTML-Tidy htmlc iASL icu IDPL imagemagick Info-ZIP inner-net ipadic ipx-utils Ispell JasPer2.0 JDOM JNIC JOVE keynote LambdaMOO LIBGLOSS libmng libpng libpng2 libtiff LLVM-Grant LPPL-1.3 LPPL-1.3b lsof Mail-Sendmail mapm-4.9.5 matplotlib Mini-XML minpack MIT-with-advertising mm mpich2 NCSA-HDF netcat NEWLIB ngrep Old-MIT openafs-krb5-a Openwall otter PCRE perforce photopc PHP-2.02 pngcrush pngnq Princeton psutils qmail-nelson rc rdisc regexp-UofT repoze RSA rwpng scanlogd Sendmail Sendmail-Open-Source shrimp SMAIL Snd SNIA SSLeay Subversion SVFL symlinks tablelist tcltk tcp_wrappers_license telegram TeX TeX-other-free the-Click-license Time-Format Time-modules tm-align torque-2.5 totd Toyoda UCAR-Unidata URT VTK w3m wxWinLL-3.1 x2x xbatt xboing XC Xdebug xtrs xvt YaTeX yuuji ZSH
+MISC-FREE ACE Allegro alternate AMPAS bea.ri.jsr173 BEER-WARE boehm-gc BSD-1 BSD-with-attribution buddy bufexplorer.vim BZIP2 canfep CAOSL CDDL-Schily CeCILL-C CMake CPL-0.5 CRACKLIB Crypt-IDEA DES docbook dom4j eGenixPublic-1.1 ElementTree Emacs ErlPL-1.1 FastCGI feh File-MMagic Flashpix FLEX flexmock FLTK freetts FVWM gd gsm HTML-Tidy htmlc iASL icu IDPL imagemagick Info-ZIP inner-net ipadic ipx-utils Ispell JasPer2.0 JDOM JNIC JOVE LambdaMOO LIBGLOSS libmng libpng libpng2 libtiff LLVM-Grant LPPL-1.3 LPPL-1.3b lsof Mail-Sendmail mapm-4.9.5 matplotlib Mini-XML minpack MIT-with-advertising mm mpich2 NCSA-HDF netcat NEWLIB ngrep Old-MIT openafs-krb5-a Openwall otter PCRE perforce photopc PHP-2.02 pngcrush pngnq Princeton psutils qmail-nelson rc rdisc regexp-UofT repoze RSA rwpng scanlogd Sendmail Sendmail-Open-Source shrimp SMAIL Snd SNIA SSLeay Subversion SVFL symlinks tablelist tcltk tcp_wrappers_license telegram TeX TeX-other-free the-Click-license Time-Format Time-modules tm-align torque-2.5 totd Toyoda UCAR-Unidata URT VTK w3m wxWinLL-3.1 x2x xbatt xboing XC Xdebug xtrs xvt YaTeX yuuji ZSH
# Metaset for all free software
FREE-SOFTWARE @FSF-APPROVED @OSI-APPROVED @MISC-FREE
diff --git a/sys-power/iasl/Manifest b/sys-power/iasl/Manifest
index 63891496a237..a6c4a7b4b6e6 100644
--- a/sys-power/iasl/Manifest
+++ b/sys-power/iasl/Manifest
@@ -1,8 +1,6 @@
DIST acpica-unix-20160729.tar.gz 1556095 BLAKE2B 2785d343d7aa0e3cce83d762bb70f8a7e76221da5d0e803eac3253b4a26dcaf852e114eadf811f387c7c040aeeb794de8cae37c47d8c29968f8cd0a0d76ed4b6 SHA512 37b0439b03e8d811c8b14d0c7c89471989227fb78b462f585c6290431afecc5b258073e568dde8dc982fa959ebce4b4d51589ea997f0066e66d4785ce185ccf2
-DIST acpica-unix-20161222.tar.gz 1580428 BLAKE2B dcf44d1a19b51e43ad1a74b2ba5b4bfadeb83eca584ff5a5062aff9cc4b0a65153b1590d993b7bca602e35da747683d230ea56c380afbec3308fb83fdb03908a SHA512 ff733d210b3b013970d3f3a0bea45f346ca5cf78dd61b583d30114a69c80e8272af304d14248aa34e775e19bca1c2ddbbed1b4ba5e8ba660b28621a8ca45ae31
-DIST acpica-unix-20171215.tar.gz 1769116 BLAKE2B f15c1202244ce5f489d80240e6c89f7fda38a3c74cf0773c4530e265876f931502571e3086aabae0082654a2085f3d6e5eeed324fd892c199a91a8837fdb19e2 SHA512 4cd3755fe28344de3259dad5209a58c9548216ecaf50a830165a0ee8993af57d4b63836904faafd5f97b1651051ee2f17a908395e0a048bab20b13395fe0d3ff
DIST acpica-unix-20180810.tar.gz 1797634 BLAKE2B 66b1c53874a7fa898fb042d0aac6001e623bb056ef17de46fc5a8e3ee5667178c47b5d8ecec194ebd8d2b0bdf947b5c85a1874c5d11a9ba3307a85418856ebdb SHA512 f37d8e0f1393b87cbfd9c6607104b05f85386583e4e5a5bcdbd2f049c122592a53e7cd56fe7da75e93bf3a424921fbc9291e7a39e06de80e6403abe042f869cd
+DIST acpica-unix-20190215.tar.gz 1809671 BLAKE2B aff312636ff0f38e7708a251daad84689cb64abd0dd241d57063b5e229c50a3a8bd3e509c2fe9918da4ab9179b07d2207e01eb7c9f94670d0758eec73bb2714b SHA512 7a469097d82721ea55f86eeefa2a67fc6be6b3d2e0382bb830f64c7daf7d99e2bce60011fb68e54b3891939b1fed91da03de9d19c2d4020d3412656cce2c09b0
DIST acpitests-unix-20160729.tar.gz 1829061 BLAKE2B 8dacb39c477ff8ba8b68a3f061b74e90a128a90eb287b9febd57d6871ff0878dfe2eaf616d9881af2b0bca6c8db57d48711ad9009c6ceb1ceba321bed182a51c SHA512 bf6073092a0dfb208f1d4b13ff3a3c5335be8e1326b1e58acd41def1a402ab0d843600f616019d1dde6593db8c53c6876bd9d489360fe98c6a7bee95d9215600
-DIST acpitests-unix-20161222.tar.gz 1759278 BLAKE2B cb1b3ea882135e9ee87c4337df4710ac2e613b89f2606306c3ce68af049735f999ae6a37b1f75c112f0fb5f8bc5af6897bf18715f657c8dcac82a37637da2a57 SHA512 ff0435f40564a94ceb3bc6cfc11ac859a5467b650004238092d7f3e2f7d596e7eb2fb9d3c56f0860c8324d38fcbedf3c6f4bc3f0569f1148462b824c7c025408
-DIST acpitests-unix-20171215.tar.gz 2034932 BLAKE2B c36aaf6a8a7aadf54651f95486af918926b664069ed961993c3ee8a062a646a7bd4e40adeebe82a101a5997080b90762fa016724ed4be31af56086eb3c3b3ab9 SHA512 b405e87f18b15bd01540d32c021a7b900139abd7e698b55786ccbaf8536c5068087a8ba1e7adbb69e0954cdc6b347e9a88428f1e8f889e0e9eb3a472c11235f9
DIST acpitests-unix-20180810.tar.gz 2093850 BLAKE2B 519ce7807026dc11617ed9c34f294600ddae77a57a1fb76220da50da1bee56975373d583d51dfcdd81c8ccba3d5e735167b831bdb4669ab9cb2a1d9753d9261d SHA512 36c2527e8d670ccfb9a537b4944cfb8432c9638c1427e3c59f614c2ca43a66089228ecb74392301a07f266870e2d79bf0e2c671c6c7af06a4683bf97ac01ba54
+DIST acpitests-unix-20190215.tar.gz 2094957 BLAKE2B 3a31ae398650a1dc3ac70843c43868a35501cbe0376d1d2437a3568aad1fb63b3d83270653c009885b014894c69dcfff075bbf5d18290220067bcd1804a38097 SHA512 80060a61c80b01231b10e04dd65c2ab41d42824c439152cf128328890cee39ef597dc3f5bc535db4566cb322394bfce2760e1835df781d699818049cad5a4419
diff --git a/sys-power/iasl/iasl-20171215.ebuild b/sys-power/iasl/iasl-20171215.ebuild
deleted file mode 100644
index 7bc182a44cec..000000000000
--- a/sys-power/iasl/iasl-20171215.ebuild
+++ /dev/null
@@ -1,127 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit toolchain-funcs flag-o-matic eutils
-
-MY_PN=acpica-unix
-MY_P=${MY_PN}-${PV}
-MY_TESTS_P=${MY_PN/ca/tests}-${PV}
-DESCRIPTION="Intel ACPI Source Language (ASL) compiler"
-HOMEPAGE="https://www.acpica.org/downloads/"
-SRC_URI="http://www.acpica.org/sites/acpica/files/${MY_P}.tar.gz
- test? ( http://www.acpica.org/sites/acpica/files/${MY_TESTS_P}.tar.gz )"
-
-LICENSE="iASL"
-SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~ppc ~x86 ~amd64-fbsd ~x86-fbsd"
-IUSE="test"
-
-DEPEND="sys-devel/bison
- sys-devel/flex"
-RDEPEND=""
-
-S=${WORKDIR}/${MY_P}
-
-pkg_setup() {
- if use test && has test ${FEATURES}; then
- ewarn 'You have selected USE="test". This will install the test results'
- ewarn "into /usr/share/${PF}/, compressed as a tarball."
- ewarn 'The tests themselves will only rarely die, but the test results'
- ewarn 'are interesting for arch testing. The tests may take quite some'
- ewarn 'time to complete.'
- fi
-}
-
-PATCHES=(
- "${FILESDIR}/${PN}-20140828-locale.patch"
- "${FILESDIR}/${PN}-20140214-nostrip.patch"
-)
-
-src_prepare() {
- default
-
- find "${S}" -type f -name 'Makefile*' -print0 | \
- xargs -0 -I '{}' \
- sed -r -e 's:-\<Werror\>::g' -i '{}' \
- || die
-
- # BITS is tied to ARCH - please set appropriately if you add new keywords
- if [[ $ARCH == @(amd64|amd64-fbsd) ]] ; then
- export BITS=64
- else
- export BITS=32
- fi
-}
-
-src_configure() {
- :
-}
-
-src_compile() {
- cd generate/unix || die
- emake BITS=${BITS}
-}
-
-src_test() {
- aslts_test
- #The aapits test currently fails, missing include probably.
- #aapits_test
-}
-
-src_install() {
- cd generate/unix || die
- emake install DESTDIR="${D}" BITS=${BITS}
- default_src_install
- #local bin
- #for bin in $(<"${T}"/binlist) ; do
- # dobin "${T}"/${bin}
- #done
- dodoc "${S}"/changes.txt
- newdoc "${S}"/source/compiler/readme.txt compiler-readme.txt
- newdoc "${S}"/generate/unix/readme.txt unix-readme.txt
- newdoc "${S}"/generate/lint/readme.txt lint-readme.txt
- newdoc "${S}"/source/compiler/new_table.txt compiler-new_table.txt
-
- if use test && has test ${FEATURES}; then
- tb="${T}"/testresults.tar.bz2
- export ASLTSDIR="$(<"${T}"/asltdir)"
- ebegin "Creating Test Tarball"
- tar -cjf "${tb}" -C "${ASLTSDIR}"/tmp/RESULTS . || die "tar failed"
- eend $?
- dodir /usr/share/${PF}
- insinto /usr/share/${PF}
- doins ${tb}
- fi
-
-}
-
-aslts_test() {
- export ASL="${S}"/generate/unix/bin/iasl \
- acpiexec="${S}"/generate/unix/bin/acpiexec \
- ASLTSDIR="${WORKDIR}/${MY_TESTS_P}"/tests/aslts
- export PATH="${PATH}:${ASLTSDIR}/bin"
- echo "$ASLTSDIR" >"${T}"/asltdir
- cd "${ASLTSDIR}" || die
- edos2unix $(find . -type 'f')
- make install || die "make install aslts test failed"
- chmod +x $(find bin/ ! -regex 'ERROR_OPCODES|HOW_TO_USE|README' ) || die "chmod bin +x failed"
-
- #The below Do commands runs the tests twice and then dies if the results aren't
- #Identical.
- Do 1 || die "failed Do 1"
- Do 2 || die "failed Do 2"
-}
-
-aapits_test() {
- mv "${WORKDIR}/${MY_TESTS_P}/tests/aapits" "${S}/tools/" || die "mv failed"
- cd "${S}/tools/aapits" || die "cannot find ${S}/tools/aapits"
- edos2unix $(find . -type 'f')
- chmod +x $(find bin/ | sed -r -e '/\/[A-Z_]+$/d') || die "chmod bin +x failed"
- make || die "make in aapits failed"
- cd asl || die "cd asl failed"
- make || die "make in asl failed"
- cd ../bin || die
- ./aapitsrun || die "aapitsrun failed"
-}
diff --git a/sys-power/iasl/iasl-20180810.ebuild b/sys-power/iasl/iasl-20180810.ebuild
index b96e7473a7a7..edd9ba4e0f01 100644
--- a/sys-power/iasl/iasl-20180810.ebuild
+++ b/sys-power/iasl/iasl-20180810.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -99,6 +99,7 @@ src_install() {
aslts_test() {
export ASL="${S}"/generate/unix/bin/iasl \
+ acpibin="${S}"/generate/unix/bin/acpibin \
acpiexec="${S}"/generate/unix/bin/acpiexec \
ASLTSDIR="${WORKDIR}/${MY_TESTS_P}"/tests/aslts
export PATH="${PATH}:${ASLTSDIR}/bin"
diff --git a/sys-power/iasl/iasl-20161222.ebuild b/sys-power/iasl/iasl-20190215.ebuild
index 7bc182a44cec..edd9ba4e0f01 100644
--- a/sys-power/iasl/iasl-20161222.ebuild
+++ b/sys-power/iasl/iasl-20190215.ebuild
@@ -1,13 +1,13 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
-inherit toolchain-funcs flag-o-matic eutils
+inherit toolchain-funcs flag-o-matic
MY_PN=acpica-unix
-MY_P=${MY_PN}-${PV}
-MY_TESTS_P=${MY_PN/ca/tests}-${PV}
+MY_P="${MY_PN}-${PV}"
+MY_TESTS_P="${MY_PN/ca/tests}-${PV}"
DESCRIPTION="Intel ACPI Source Language (ASL) compiler"
HOMEPAGE="https://www.acpica.org/downloads/"
SRC_URI="http://www.acpica.org/sites/acpica/files/${MY_P}.tar.gz
@@ -22,7 +22,7 @@ DEPEND="sys-devel/bison
sys-devel/flex"
RDEPEND=""
-S=${WORKDIR}/${MY_P}
+S="${WORKDIR}/${MY_P}"
pkg_setup() {
if use test && has test ${FEATURES}; then
@@ -73,7 +73,7 @@ src_test() {
src_install() {
cd generate/unix || die
emake install DESTDIR="${D}" BITS=${BITS}
- default_src_install
+ default
#local bin
#for bin in $(<"${T}"/binlist) ; do
# dobin "${T}"/${bin}
@@ -99,6 +99,7 @@ src_install() {
aslts_test() {
export ASL="${S}"/generate/unix/bin/iasl \
+ acpibin="${S}"/generate/unix/bin/acpibin \
acpiexec="${S}"/generate/unix/bin/acpiexec \
ASLTSDIR="${WORKDIR}/${MY_TESTS_P}"/tests/aslts
export PATH="${PATH}:${ASLTSDIR}/bin"